Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.update
Interface UpdateDescriptorEntry

    public interface UpdateDescriptorEntry

Contains information about a single media file available for update. Instances of this class are returned by an `UpdateDescriptor`.

Author:
  ej-technologies GmbH

Method Summary
`boolean` | `checkVersionCompatible(java.lang.String version)` Checks if a version is compatible with the minimum and maximum versions set in this update descriptor entry.
`java.lang.String` | `getAdditionalAttribute(java.lang.String attributeName, java.lang.String defaultValue)` Returns an additional attribute that you have added to the `entry` element in the `updates.xml` file represented by this instance.
`java.lang.String` | `getBundledJre()` Returns the identifier of the bundled JRE.
`java.lang.String` | `getComment()` Returns the comment for this entry.
`java.lang.String` | `getFileName()` Returns the file name of the update installer.
`long` | `getFileSize()` Returns the file size of the update installer in bytes.
`java.lang.String` | `getFileSizeVerbose()` Returns the file size of the update installer as a verbose string.
`java.lang.String` | `getNewMediaFileId()` Returns the media file ID of the update installer that is represented by this entry.
`java.lang.String` | `getNewVersion()` Returns the version of the available update.
`java.lang.String` | `getTargetMediaFileId()` Returns the media file ID for which this update is suitable.
`java.lang.String` | `getUpdatableVersionMax()` Returns the maximum version that is eligible for an update.
`java.lang.String` | `getUpdatableVersionMin()` Returns the minimum version that is eligible for an update.
`java.net.URL` | `getURL()` Returns the full URL from which the update installer can be downloaded.
`boolean` | `isArchive()` Returns whether the media file is an installer or an archive.

Method Detail

### getTargetMediaFileId

    java.lang.String getTargetMediaFileId()

  Returns the media file ID for which this update is suitable.

  Note: install4j creates one update descriptor entry for each media file. If you discontinue a media file, you can duplicate a suitable update descriptor entry in `updates.xml` and set its target media file ID to that of the discontinued media file.

  Returns:
    the media file ID

### getUpdatableVersionMin

    java.lang.String getUpdatableVersionMin()

  Returns the minimum version that is eligible for an update.

  By default, this is empty string. If you want to set a minimum version, you can change the `updatableVersionMin` attribute on the corresponding `entry` element in the `updates.xml` file.

  Returns:
    the minimum version

### getUpdatableVersionMax

    java.lang.String getUpdatableVersionMax()

  Returns the maximum version that is eligible for an update.

  By default, this is empty string. If you want to set a maximum version, you can change the `updatableVersionMax` attribute on the corresponding `entry` element in the `updates.xml` file.

  Returns:
    the maximum version

### getFileName

    java.lang.String getFileName()

  Returns the file name of the update installer.

  Returns:
    the file name

### getURL

    java.net.URL getURL()

  Returns the full URL from which the update installer can be downloaded. This includes the file name and is based on the `base url` of the `update descriptor`.

  Returns:
    the URL

### getNewVersion

    java.lang.String getNewVersion()

  Returns the version of the available update.

  Returns:
    the new version

### getNewMediaFileId

    java.lang.String getNewMediaFileId()

  Returns the media file ID of the update installer that is represented by this entry.

  Returns:
    the media file ID

### isArchive

    boolean isArchive()

  Returns whether the media file is an installer or an archive.

  Returns:
    `true` for an archive

### getFileSize

    long getFileSize()

  Returns the file size of the update installer in bytes. The size is determined at compile time.

  Returns:
    the file size in bytes

### getFileSizeVerbose

    java.lang.String getFileSizeVerbose()

  Returns the file size of the update installer as a verbose string. The size is determined at compile time.

  Returns:
    the file size as a string

### getBundledJre

    java.lang.String getBundledJre()

  Returns the identifier of the bundled JRE. If no JRE is bundled, this is the empty string. Otherwise, this is the file name of the JRE bundle without the `.tar.gz` extension.

  Returns:
    the ID of the bundled JRE or the empty string

### getComment

    java.lang.String getComment()

  Returns the comment for this entry. By default, the comment is empty, you can add comments in the `comment` elements in the `updates.xml` file. The default standalone updater offers the user a hyperlink to display this comment for an available update.

  Returns:
    the comment

### getAdditionalAttribute

    java.lang.String getAdditionalAttribute(java.lang.String attributeName,
                                            java.lang.String defaultValue)

  Returns an additional attribute that you have added to the `entry` element in the `updates.xml` file represented by this instance.

  Parameters:
    `attributeName` - the name of the additional attribute
    `defaultValue` - the default value to be returned if the attribute does not exist
  Returns:
    the attribute value

### checkVersionCompatible

    boolean checkVersionCompatible(java.lang.String version)

  Checks if a version is compatible with the minimum and maximum versions set in this update descriptor entry.

  Parameters:
    `version` - the version
  Returns:
    `true` if compatible

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD